-- keeps track of the dialog index
local currentIndex = 0

-- globals
local dialog = LuaDialogManager(DialogManager)

function showDialog (dialogIndex)

	currentIndex = dialogIndex
	
	local currentDialog = LuaDialog(dialog:getCurrentDialog())
	
	if dialogIndex == 0 then
		currentDialog:show({key = "greet_text_1", options = {{key = "continue", id = -1}}})
	end
end

function dismissDialogWithOption (optionIndex, optionIdentifier)
	if optionIdentifier == -1 then
		dialog:callEnd()
		return
	end
end

function started ()
	showDialog(0)
end

function ended ()

end