--[[
Variables used:

bool 0 - is "accomodation" topic opened
bool 1 - 

]]--

-- Interfaces
local game = LuaGame(Game)
local party = LuaParty(Party)
local town = LuaTownState(TownState)
local dialog = LuaDialogManager(DialogManager)

--[[
	General
]]--

function isAvailable ()
	return true
end

function getName ()
	return "Tavernkeeper"
end

function getTopics ()
	
	local ctx = LuaDialogContext(dialog:getContext("tavernkeeper0"))
	
	local topics = {}
	local i = 1
	
	topics[i] = "greet"
	i = i + 1

	if ctx:isTopicOpened("greet") == true then
        topics[i] = "ask_about_hiring"
        i = i + 1
        if ctx:getBoolean(0) == true then
            topics[i] = "accomodation"
            i = i + 1
        end
	end

	return topics
	
end

function getTopicTitle (topicKey)
	return nil
end