-- keeps track of the dialog index
local currentIndex = 0

-- globals
local dialog = LuaDialogManager(DialogManager)

function showDialog (dialogIndex)

	currentIndex = dialogIndex
	
	local currentDialog = LuaDialog(dialog:getCurrentDialog())
	
	if currentIndex == 0 then
		currentDialog:show({key = "hiring_query_text_1", options = {{key = "hiring_query_reply_1"}}})
	elseif currentIndex == 1 then
		currentDialog:show({key = "hiring_query_text_2", options = {{key = "hiring_query_reply_2"}}})
	elseif currentIndex == 2 then
		currentDialog:show({key = "hiring_query_text_3", options = {{key = "continue", id = -1}}})
	end
end

function dismissDialogWithOption (optionIndex, optionIdentifier)
	if optionIdentifier == -1 then
		dialog:callEnd()
		return
	end
	showDialog(currentIndex + 1)
end

function started ()
	showDialog(0)
end

function ended ()

end