-- Interfaces
local game = LuaGame(Game)
local party = LuaParty(Party)
local town = LuaTownState(TownState)
local dialog = LuaDialogManager(DialogManager)

--[[
	General
]]--

function isAvailable ()
	return true
end

function getName ()
	return "Tavernkeeper"
end

function getTopics ()
	
	local ctx = LuaDialogContext(dialog:getContext("tavernkeeper2"))
	
	local topics = {}
	local i = 1
	
	topics[i] = "greet"
	i = i + 1

	if ctx:isTopicOpened("greet") == true then
		topics[i] = "what_happened"
		i = i + 1
        
		if ctx:getBoolean(1) == true then
			topics[i] = "ask_store"
			i = i + 1
		else
			if ctx:getBoolean(0) == true and ctx:isTopicOpened("what_happened") == true then
				topics[i] = "ask_about_store"
				i = i + 1
			elseif ctx:getBoolean(0) == false and ctx:isTopicOpened("what_happened") == true then
				topics[i] = "ask_store"
				i = i + 1
			end
		end
	end

	return topics
	
end

function getTopicTitle (topicKey)
	return nil
end