-- keeps track of the dialog index
local currentIndex = 0

-- globals
local dialog = LuaDialogManager(DialogManager)
local gui = LuaGUI(GUI)

function showDialog (dialogIndex)

	currentIndex = dialogIndex
	
	local currentDialog = LuaDialog(dialog:getCurrentDialog())
	
	if currentIndex == 0 then
		currentDialog:show({key = "ask_about_store_text_1", options = {{key = "continue", id = -1}}})
	end
end

function dismissDialogWithOption (optionIndex, optionIdentifier)
	
	if currentIndex == 0 then
		local ctx = LuaDialogContext(dialog:getContext("merchant2"))
	 	if ctx:isAvailable() == false then
			local currentDialog = LuaDialog(dialog:getCurrentDialog())
			ctx:setIsAvailable(true)
			gui:showInfoMessage({text = currentDialog:getText("change_converstation_tip"), middle = true})
		end
	end
	
	if optionIdentifier == -1 then
		dialog:callEnd()
		return
	end
	
end

function started ()
	showDialog(0)
end

function ended ()

end