-- Interfaces
local game = LuaGame(Game)
local party = LuaParty(Party)
local town = LuaTownState(TownState)
local dialog = LuaDialogManager(DialogManager)
local quests = LuaQuests(Quests)

--[[
	General
]]--

function isAvailable ()
	return true
end

function getName ()
	return "Harbourmaster"
end

function getTopics ()
	
	local ctx = LuaDialogContext(dialog:getContext("harbormaster0"))
	
	local topics = {}
	local i = 1
	
	topics[i] = "greet"
	i = i + 1

	if ctx:isTopicOpened("greet") == true and quests:isQuestAccepted("spicerun") == true then
        topics[i] = "chartering"
        i = i + 1
	end

	return topics
	
end

function getTopicTitle (topicKey)
	return nil
end
