-- Interfaces
local game = LuaGame(Game)
local party = LuaParty(Party)
local town = LuaTownState(TownState)
local dialog = LuaDialogManager(DialogManager)
local quests = LuaQuests(Quests)

--[[
	General
]]--

function isAvailable ()
	return true
end

function getName ()
	return "Merchant"
end

function getTopics ()
	
	local ctx = LuaDialogContext(dialog:getContext("merchant0"))
	
	local topics = {}
	local i = 1
	
	topics[i] = "greet"
	i = i + 1

	if ctx:isTopicOpened("greet") == true then
        topics[i] = "ask_about_goods"
        i = i + 1
		if quests:isQuestCompleted("gettingstarted") then
		    topics[i] = "get_spice_quest"
			i = i + 1
		end
	end

	return topics
	
end

function getTopicTitle (topicKey)
	return nil
end