-- Interfaces
local game = LuaGame(Game)
local party = LuaParty(Party)
local town = LuaTownState(TownState)
local dialog = LuaDialogManager(DialogManager)

--[[
	General
]]--

function isAvailable ()
	return true
end

function getName ()
	return "Tavernkeeper"
end

function getTopics ()
	
	local ctx = LuaDialogContext(dialog:getContext("tavernkeeper1"))
	
	local topics = {}
	local i = 1
	
	topics[i] = "greet"
	i = i + 1

	local merchantContext = LuaDialogContext(dialog:getContext("merchant0"))
	
	if ctx:isTopicOpened("greet") == true and merchantContext:getBoolean(1) == true then
		topics[i] = "ask_provisioner"
		i = i + 1
	end

	return topics
	
end

function getTopicTitle (topicKey)
	return nil
end