-- Interfaces
local game = LuaGame(Game)
local party = LuaParty(Party)
local town = LuaTownState(TownState)
local dialog = LuaDialogManager(DialogManager)

--[[
	General
]]--

function isAvailable ()
	local ctx = LuaDialogContext(dialog:getContext("merchant2"))
	return ctx:isAvailable()
end

function getName ()
	return "Merchant"
end

function getTopics ()
	
	local ctx = LuaDialogContext(dialog:getContext("merchant2"))
	local topics = {}
	local i = 1
	
	topics[i] = "greet"
	i = i + 1
	
	if ctx:isTopicOpened("greet") == true then
		topics[i] = "ask_about_closed_store"
		i = i + 1
	end
	
	return topics
	
end

function getTopicTitle (topicKey)
	return nil
end